Apple은 사용자에게 가장 중요한 시스템 기능 중 일부와 많은 타사 응용 프로그램이 업데이트되지 않는 한 3 월 XNUMX 일에 오래된 iPhone 및 iPad에서 문제와 오류가 발생할 것이라고 경고합니다. 해당 장치에 대해 알아 보시겠습니까? 왜 일부 직업이 작동을 멈출까요?


2000 년의 문제는 결코 죽지 않는 아이디어

더 오래된 세대는 2000 년의 문제와 그것을 모르는 사람들을 기억할 것입니다. 이것이 바로 이야기입니다. 문제는 지난 세기의 1984 년대에 컴퓨터, 기술, 프로그래밍의 보급이 시작되면서 시작되었습니다. 개발자들이 컴퓨터 메모리 사용량을 최대로 줄이려고 노력했던 오늘날 우리가 목격하는 것은 그다지 효율적이고 강력하지 않았습니다. 그들은 연도를 84 자리가 아닌 2000 자리로 사용했기 때문에 00 년이 예가되었습니다. 1998 형식으로 컴퓨터에 나타 났으며 2000 년대 초 전문가들이 문제를 발견하기 시작했습니다. 컴퓨터가 00 년을 어떻게 이해할 수 있을까요? 확실히 두 자릿수 (98) 방식으로 나타날 것인데, 이는 수학적으로 비논리적이며 많은 문제를 의미합니다. 예를 들어, 은행 고객이 98 년부터 XNUMX 년까지 자신의 계좌에 대해 문의하려는 경우 컴퓨터 언어로 "XNUMX-XNUMX = -XNUMX"을 의미하며 여기서 값은 음수로 모든 표준에서 재난을 의미합니다. 항공사, 은행, 병원, 금융계 및 석유 회사는 새 천년에 대처하기 위해 장비를 현대화했습니다.


오늘날 GPS가 범인입니다.

오늘날 동일한 개념의 또 다른 문제는 예전의 기술이 영원히 지속되도록 프로그래밍되지 않았다는 것입니다. GPS로 알려진 미 육군 위치 확인 시스템의 위성에있는 컴퓨터 시스템의 최대 시간은 1023 주이며 그 기간이 19 년 7 개월 XNUMX 주에 해당하는 기간이 지나면 숫자가 XNUMX으로 돌아와 GPS 장치가 발생할 수 있습니다. GPS를 지원하는 장치 및 응용 프로그램의 문제 발생과 함께 오작동합니다.

첫 번째 GPS 장치의 첫 주가 6 년 1980 월 1023 일에 시작되었고 21 주 후에 미터기의 첫 "삐삐"가 발생했습니다. 특히 1999 년 1023 월 6 일에 발생했으며 실제로 일부 GPS 장치에서 문제가 발생했지만 실제로는 이번에는 그들의 확산이 약하고 많은 관심을받지 못했습니다. 이제 2019 주가 더 지난 후 3 년 2019 월 XNUMX 일에 두 번째 "신호음"이 발생했으며 문제가 발생하여 이미 여러 장치에 영향을 미쳤습니다. 그러나 지금; Apple은 XNUMX 년 XNUMX 월 XNUMX 일 자정 (GMT) 이전에 동일한 문제가 일부 iPhone 및 iPad에 영향을 미칠 것이라고 사용자에게 경고합니다.


문제가 iPhone 및 iPad 장치에 미치는 영향

이 문제로 인해 2012 년 및 이전 버전에서 출시 된 일부 iPhone 및 iPad 모델은이를 지원하는 각 애플리케이션에서 GPS 기능을 잃게됩니다. 또한 기기에서 잘못된 시간 표시 문제가 발생할 수 있으며, 이로 인해 이메일 가져 오기 및 iCloud와의 동기화에 문제가 발생할 수 있습니다.

GPS에 의존하고 정확한 시간 설정에 의존하는 타사 응용 프로그램의 경우 해당 날짜 이후에 확실히 충돌하거나 불행한 이벤트가 발생합니다.


3 월 XNUMX 일 이후에 이러한 문제가 발생할 장치

셀룰러 인터넷과 Wi-Fi를 함께 지원하는 일부 iPhone 및 iPad 모델 만 영향을받습니다.

아이폰 5.

◉ iPad XNUMX 세대 Wi-Fi + Cellular

아이폰 4S

IPad mini XNUMX 세대 Wi-Fi + Cellular

◉ Wi-Fi + Cellular CDMA 모델 전용 iPad 2

iPad XNUMX 세대 Wi-Fi + Cellular

이 문제는 iPod touch 또는 모든 Wi-Fi iPad 모델에 영향을 미치지 않습니다. 이러한 장치에는 GPS가 포함되어 있지 않기 때문입니다.

이 문제를 방지하려면 어떻게해야합니까?

지원 페이지에서 Apple이 언급 한대로 GPS, 시간 및 날짜가 제대로 작동하도록하려면 3 월 XNUMX 일 이전에 장치를 최신 버전으로 업데이트하는 것이 중요합니다.

iPhone 5 및 iPad XNUMX 세대 장치의 경우 iOS로 업데이트됩니다. 10.3.4. 나머지 장치는 버전으로 업데이트됩니다. 9.3.6 이러한 오류를 피하기 위해 iOS에서.

장치를 업데이트하려면 다음 단계를 수행하십시오.

로 이동 설정 -> -> 소프트웨어 업그레이드, 업데이트가 있음을 보여줍니다.

또한 iPhone 4 및 이전 버전과 같은 구형 iPhone 및 iPad는 이러한 오류를 해결하기위한 업데이트를받을 수 없다는 점에 유의해야합니다. 즉, 그들은 GPS 기술에 의존 할 수 없으며 해결책은 이러한 전화기에서 셀룰러 인터넷을 작동하지 않고 Wi-Fi에 만족하기 위해이 문제가 발생하지 않는다는 것입니다.

이 문제의 영향을받는 장치가 있습니까? 지원되지 않는 장치에서 문제를 피할 수있는 다른 방법이 있습니까? 댓글로 알려주세요.

한국어 :

아이드롭뉴스

관련 기사